{"swagger":"2.0","info":{"version":"1.0","title":"029-[AFT_COR_POReceipt]","contact":{}},"host":"dv-api.southernco.com","basePath":"/erp/scm/v2","schemes":["https"],"consumes":["application/xml"],"produces":["application/xml"],"paths":{"/poreceipt":{"post":{"summary":"01. Create Receipt V2","tags":["Misc"],"operationId":"01.CreateReceiptV2","deprecated":false,"produces":["application/xml"],"consumes":["application/xml"],"parameters":[{"name":"Content-Type","in":"header","required":true,"type":"string","description":""},{"name":"Proxy-Env","in":"header","required":true,"type":"string","description":""},{"name":"Authorization","in":"header","required":true,"type":"string","description":""},{"name":"Proxy-Authenticate","in":"header","required":true,"type":"string","description":""},{"name":"Body","in":"body","required":true,"description":"","schema":{"$ref":"#/definitions/Envelope"}}],"responses":{"200":{"description":"Successful Response from Oracle"},"400":{"description":"Bad request.","schema":{"$ref":"#/definitions/errorResponse"}},"401":{"description":"Internal Server Error.","schema":{"$ref":"#/definitions/errorResponse"}},"default":{"description":"Unexpected error","schema":{"$ref":"#/definitions/errorResponse"}}}}},"/poreceipt/employeedetails":{"post":{"summary":"06. Employee Service v2","tags":["Misc"],"operationId":"06.EmployeeServicev2","deprecated":false,"produces":["application/xml"],"consumes":["text/xml"],"parameters":[{"name":"Content-Type","in":"header","required":true,"type":"string","description":""},{"name":"Proxy-Env","in":"header","required":true,"type":"string","description":""},{"name":"Authorization","in":"header","required":true,"type":"string","description":""},{"name":"Proxy-Authenticate","in":"header","required":true,"type":"string","description":""},{"name":"Body","in":"body","required":true,"description":"","schema":{"$ref":"#/definitions/Envelope1"}}],"responses":{"200":{"description":"Successful Response from Oracle"},"400":{"description":"Bad request.","schema":{"$ref":"#/definitions/errorResponse"}},"401":{"description":"Internal Server Error.","schema":{"$ref":"#/definitions/errorResponse"}},"default":{"description":"Unexpected error","schema":{"$ref":"#/definitions/errorResponse"}}}}},"/poreceipt/findreceipt":{"post":{"summary":"04. Find Receipt V2","tags":["Misc"],"operationId":"04.FindReceiptV2","deprecated":false,"produces":["application/xml"],"consumes":["text/xml"],"parameters":[{"name":"Content-Type","in":"header","required":true,"type":"string","description":""},{"name":"Proxy-Env","in":"header","required":true,"type":"string","description":""},{"name":"Authorization","in":"header","required":true,"type":"string","description":""},{"name":"Proxy-Authenticate","in":"header","required":true,"type":"string","description":""},{"name":"Body","in":"body","required":true,"description":"","schema":{"$ref":"#/definitions/Envelope2"}}],"responses":{"200":{"description":"Successful Response from Oracle"},"400":{"description":"Bad request.","schema":{"$ref":"#/definitions/errorResponse"}},"401":{"description":"Internal Server Error.","schema":{"$ref":"#/definitions/errorResponse"}},"default":{"description":"Unexpected error","schema":{"$ref":"#/definitions/errorResponse"}}}}},"/poreceipt/findtransaction":{"post":{"summary":"05. Find Transaction V2","tags":["Misc"],"operationId":"05.FindTransactionV2","deprecated":false,"produces":["application/xml"],"consumes":["text/xml"],"parameters":[{"name":"Content-Type","in":"header","required":true,"type":"string","description":""},{"name":"Proxy-Env","in":"header","required":true,"type":"string","description":""},{"name":"Authorization","in":"header","required":true,"type":"string","description":""},{"name":"Proxy-Authenticate","in":"header","required":true,"type":"string","description":""},{"name":"Body","in":"body","required":true,"description":"","schema":{"$ref":"#/definitions/Envelope3"}}],"responses":{"200":{"description":"Successful Response from Oracle"},"400":{"description":"Bad request.","schema":{"$ref":"#/definitions/errorResponse"}},"401":{"description":"Internal Server Error.","schema":{"$ref":"#/definitions/errorResponse"}},"default":{"description":"Unexpected error","schema":{"$ref":"#/definitions/errorResponse"}}}}}},"definitions":{"Envelope":{"title":"Envelope","xml":{"name":"Envelope","namespace":"http://schemas.xmlsoap.org/soap/envelope/","prefix":"soap","attribute":false,"wrapped":false},"type":"object","properties":{"Body":{"$ref":"#/definitions/Body"}},"required":["Body"]},"Body":{"title":"Body","xml":{"name":"Body","prefix":"soap","attribute":false,"wrapped":false},"type":"object","properties":{"processor":{"$ref":"#/definitions/processor"}},"required":["processor"]},"processor":{"title":"processor","xml":{"name":"processor","namespace":"http://xmlns.oracle.com/apps/scm/receiving/receiptsInterface/transactions/processorServiceV2/types/","prefix":"ns1","attribute":false,"wrapped":false},"type":"object","properties":{"Receipt":{"$ref":"#/definitions/Receipt"}},"required":["Receipt"]},"Receipt":{"title":"Receipt","xml":{"name":"Receipt","prefix":"ns1","attribute":false,"wrapped":false},"type":"object","properties":{"xmlns:ns2":{"type":"string","enum":["http://xmlns.oracle.com/apps/scm/receiving/receiptsInterface/transactions/processorServiceV2/"],"xml":{"attribute":true}},"TransactionType":{"xml":{"name":"TransactionType","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"ASNType":{"xml":{"name":"ASNType","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"ReceiptSourceCode":{"xml":{"name":"ReceiptSourceCode","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"ShipToOrganizationCode":{"xml":{"name":"ShipToOrganizationCode","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"VendorName":{"xml":{"name":"VendorName","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"VendorSiteCode":{"xml":{"name":"VendorSiteCode","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"BusinessUnit":{"xml":{"name":"BusinessUnit","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"EmployeeName":{"xml":{"name":"EmployeeName","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"Attribute1":{"xml":{"name":"Attribute1","prefix":"ns2","attribute":false,"wrapped":false},"type":"integer","format":"int32"},"StagedReceivingTransaction":{"$ref":"#/definitions/StagedReceivingTransaction"}},"required":["TransactionType","ASNType","ReceiptSourceCode","ShipToOrganizationCode","VendorName","VendorSiteCode","BusinessUnit","EmployeeName","Attribute1","StagedReceivingTransaction"]},"StagedReceivingTransaction":{"title":"StagedReceivingTransaction","xml":{"name":"StagedReceivingTransaction","prefix":"ns2","attribute":false,"wrapped":false},"type":"object","properties":{"ReceiptSourceCode":{"xml":{"name":"ReceiptSourceCode","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"SourceDocumentCode":{"xml":{"name":"SourceDocumentCode","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"TransactionType":{"xml":{"name":"TransactionType","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"AutoTransactCode":{"xml":{"name":"AutoTransactCode","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"ToOrganizationCode":{"xml":{"name":"ToOrganizationCode","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"TransactionDate":{"xml":{"name":"TransactionDate","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"DocumentNumber":{"xml":{"name":"DocumentNumber","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"DocumentLineNumber":{"xml":{"name":"DocumentLineNumber","prefix":"ns2","attribute":false,"wrapped":false},"type":"integer","format":"int32"},"DocumentShipmentLineNumber":{"xml":{"name":"DocumentShipmentLineNumber","prefix":"ns2","attribute":false,"wrapped":false},"type":"integer","format":"int32"},"Quantity":{"$ref":"#/definitions/Quantity"},"UnitOfMeasure":{"xml":{"name":"UnitOfMeasure","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"SoldtoLegalEntity":{"xml":{"name":"SoldtoLegalEntity","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"},"Attribute1":{"xml":{"name":"Attribute1","prefix":"ns2","attribute":false,"wrapped":false},"type":"string"}},"required":["ReceiptSourceCode","SourceDocumentCode","TransactionType","AutoTransactCode","ToOrganizationCode","TransactionDate","DocumentNumber","DocumentLineNumber","DocumentShipmentLineNumber","Quantity","UnitOfMeasure","SoldtoLegalEntity","Attribute1"]},"Quantity":{"title":"Quantity","xml":{"name":"Quantity","prefix":"ns2","attribute":false,"wrapped":false},"type":"object","properties":{"unitCode":{"xml":{"name":"unitCode","attribute":true,"wrapped":false},"type":"string"}},"required":["unitCode"]},"Envelope1":{"title":"Envelope1","xml":{"name":"Envelope","namespace":"http://www.w3.org/2003/05/soap-envelope","prefix":"soap","attribute":false,"wrapped":false},"type":"object","properties":{"xmlns:pub":{"type":"string","enum":["http://xmlns.oracle.com/oxp/service/PublicReportService"],"xml":{"attribute":true}},"Body":{"$ref":"#/definitions/Body1"}},"required":["Body"]},"Body1":{"title":"Body1","xml":{"name":"Body","prefix":"soap","attribute":false,"wrapped":false},"type":"object","properties":{"runReport":{"$ref":"#/definitions/runReport"}},"required":["runReport"]},"runReport":{"title":"runReport","xml":{"name":"runReport","prefix":"pub","attribute":false,"wrapped":false},"type":"object","properties":{"reportRequest":{"$ref":"#/definitions/reportRequest"}},"required":["reportRequest"]},"reportRequest":{"title":"reportRequest","xml":{"name":"reportRequest","prefix":"pub","attribute":false,"wrapped":false},"type":"object","properties":{"parameterNameValues":{"$ref":"#/definitions/parameterNameValues"},"reportAbsolutePath":{"xml":{"name":"reportAbsolutePath","prefix":"pub","attribute":false,"wrapped":false},"type":"string"},"sizeOfDataChunkDownload":{"xml":{"name":"sizeOfDataChunkDownload","prefix":"pub","attribute":false,"wrapped":false},"type":"string"}},"required":["parameterNameValues","reportAbsolutePath","sizeOfDataChunkDownload"]},"parameterNameValues":{"title":"parameterNameValues","xml":{"name":"parameterNameValues","prefix":"pub","attribute":false,"wrapped":false},"type":"object","properties":{"item":{"$ref":"#/definitions/item"}},"required":["item"]},"item":{"title":"item","xml":{"name":"item","prefix":"pub","attribute":false,"wrapped":false},"type":"object","properties":{"name":{"xml":{"name":"name","prefix":"pub","attribute":false,"wrapped":false},"type":"string"},"values":{"$ref":"#/definitions/values"}},"required":["name","values"]},"values":{"title":"values","xml":{"name":"values","prefix":"pub","attribute":false,"wrapped":false},"type":"object","properties":{"item":{"xml":{"name":"item","prefix":"pub","attribute":false,"wrapped":false},"type":"string"}},"required":["item"]},"Envelope2":{"title":"Envelope2","xml":{"name":"Envelope","namespace":"http://schemas.xmlsoap.org/soap/envelope/","prefix":"soapenv","attribute":false,"wrapped":false},"type":"object","properties":{"xmlns:typ":{"type":"string","enum":["http://xmlns.oracle.com/apps/scm/receiving/receipts/receivingTransaction/types/"],"xml":{"attribute":true}},"xmlns:typ1":{"type":"string","enum":["http://xmlns.oracle.com/adf/svc/types/"],"xml":{"attribute":true}},"Body":{"$ref":"#/definitions/Body2"}},"required":["Body"]},"Body2":{"title":"Body2","xml":{"name":"Body","prefix":"soapenv","attribute":false,"wrapped":false},"type":"object","properties":{"findReceipt":{"$ref":"#/definitions/findReceipt"}},"required":["findReceipt"]},"findReceipt":{"title":"findReceipt","xml":{"name":"findReceipt","prefix":"typ","attribute":false,"wrapped":false},"type":"object","properties":{"findCriteria":{"$ref":"#/definitions/findCriteria"}},"required":["findCriteria"]},"findCriteria":{"title":"findCriteria","xml":{"name":"findCriteria","prefix":"typ","attribute":false,"wrapped":false},"type":"object","properties":{"filter":{"$ref":"#/definitions/filter"}},"required":["filter"]},"filter":{"title":"filter","xml":{"name":"filter","prefix":"typ1","attribute":false,"wrapped":false},"type":"object","properties":{"group":{"$ref":"#/definitions/group"}},"required":["group"]},"group":{"title":"group","xml":{"name":"group","prefix":"typ1","attribute":false,"wrapped":false},"type":"object","properties":{"item":{"$ref":"#/definitions/item1"}},"required":["item"]},"item1":{"title":"item1","xml":{"name":"item","prefix":"typ1","attribute":false,"wrapped":false},"type":"object","properties":{"attribute":{"xml":{"name":"attribute","prefix":"typ1","attribute":false,"wrapped":false},"type":"string"},"operator":{"xml":{"name":"operator","prefix":"typ1","attribute":false,"wrapped":false},"type":"string"},"value":{"xml":{"name":"value","prefix":"typ1","attribute":false,"wrapped":false},"type":"integer","format":"int32"}},"required":["attribute","operator","value"]},"Envelope3":{"title":"Envelope3","xml":{"name":"Envelope","namespace":"http://schemas.xmlsoap.org/soap/envelope/","prefix":"soapenv","attribute":false,"wrapped":false},"type":"object","properties":{"xmlns:typ":{"type":"string","enum":["http://xmlns.oracle.com/apps/scm/receiving/receipts/receivingTransaction/types/"],"xml":{"attribute":true}},"xmlns:typ1":{"type":"string","enum":["http://xmlns.oracle.com/adf/svc/types/"],"xml":{"attribute":true}},"Body":{"$ref":"#/definitions/Body3"}},"required":["Body"]},"Body3":{"title":"Body3","xml":{"name":"Body","prefix":"soapenv","attribute":false,"wrapped":false},"type":"object","properties":{"findTransaction":{"$ref":"#/definitions/findTransaction"}},"required":["findTransaction"]},"findTransaction":{"title":"findTransaction","xml":{"name":"findTransaction","prefix":"typ","attribute":false,"wrapped":false},"type":"object","properties":{"findCriteria":{"$ref":"#/definitions/findCriteria1"}},"required":["findCriteria"]},"findCriteria1":{"title":"findCriteria1","xml":{"name":"findCriteria","prefix":"typ","attribute":false,"wrapped":false},"type":"object","properties":{"filter":{"$ref":"#/definitions/filter1"},"findAttribute":{"xml":{"prefix":"typ1","attribute":false,"wrapped":false},"type":"array","items":{"xml":{"name":"findAttribute","attribute":false,"wrapped":false},"type":"string"}}},"required":["filter","findAttribute"]},"filter1":{"title":"filter1","xml":{"name":"filter","prefix":"typ1","attribute":false,"wrapped":false},"type":"object","properties":{"group":{"$ref":"#/definitions/group1"}},"required":["group"]},"group1":{"title":"group1","xml":{"name":"group","prefix":"typ1","attribute":false,"wrapped":false},"type":"object","properties":{"item":{"xml":{"prefix":"typ1","attribute":false,"wrapped":false},"type":"array","items":{"$ref":"#/definitions/item2"}}},"required":["item"]},"errorResponse":{"title":"Response","xml":{"name":"Response","namespace":"http://www.apigee.southernco.com/response","prefix":"int","attribute":false,"wrapped":false},"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"errorInfo":{"type":"object"}}},"item2":{"title":"item2","xml":{"name":"item","prefix":"typ1","attribute":false,"wrapped":false},"type":"object","properties":{"attribute":{"xml":{"name":"attribute","prefix":"typ1","attribute":false,"wrapped":false},"type":"string"},"operator":{"xml":{"name":"operator","prefix":"typ1","attribute":false,"wrapped":false},"type":"string"},"value":{"xml":{"name":"value","prefix":"typ1","attribute":false,"wrapped":false},"type":"string"},"conjunction":{"xml":{"name":"conjunction","prefix":"typ1","attribute":false,"wrapped":false},"type":"string"}},"required":["attribute","operator","value"]}},"tags":[{"name":"PO Receipt","description":"Pass through proxy Built to support PO Receipt"}]}